Inquire for the latest status of a transaction using UETR and Message Id.
Returns the status of a non-payment message initiated through the messages/POST endpoint.
See Express Instant Payments Error Codes for a complete list of messages and their explanations.
Authentication
AuthorizationBearer
All CitiConnect APIs use the oAuth2 authentication scheme, which requires a bearer token to authenticate your API call. The Token URL includes the version of authentication used by this API. See the Citi Authentication API reference for information on requesting a token.
Path parameters
uetr
Unique end-to-end transaction reference
message_id
Unique message id
Query parameters
client_id
Your unique identification, same as the identification you use for OAuth token generation, Citi shared with you during your CitiConnect API onboarding
Response headers
request_id
Citi's unique identification for your request
Response
OK
message_id
Message Identification
creation_date_time
UTC (ISO 8601 YYYY-MM-DDTHH:MM:SS.sssZ)
- Date time when a message was created
message_type
Message Type as provided by the customer
- RFR - Request for Refund (camt.056)
- RRFR - Response to Request for Refund(camt.029)
- PCR - Payment Confirmation Request
- RPCR - Response to Payment Confirmation Request
- RFP - Request for Payment (pain.013)
- RRFP - Response to Request for Payment (pain.014)
- RFICS - Request for Information Compliance
- RRFICS - Response to Request for Information Compliance
original_payment
message
Errors
400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
405
Method Not Allowed Error
500
Internal Server Error